BUILD=build

rm -rf $BUILD 
mkdir -p $BUILD 

# Compiling nestedVM
pushd src
javac -d ../build `find . -name *.java`
popd

# Compiling tex
pushd $BUILD 
java org.ibex.nestedvm.Compiler -o unixRuntime -outfile tex.class tex ../tex/tex.mips
popd

# Copying basic resources
cp -r tex/TeXformats tex/TeXfonts $BUILD

# Creating plain.fmt
cp tex/plain.tex tex/hyphen.tex $BUILD
pushd $BUILD 
java tex plain.tex
popd

# creating a sample DVI
cp tex/harvsamp.tex tex/harvmac.tex $BUILD
pushd $BUILD 
java tex "&plain" harvsamp.tex
popd

# now playing with latex
# with a precompiled fmt file
cp tex/latex/* build
pushd $BUILD 
# creating ls-R for javatex
ls -R > ls-R
time java tex "&latex" llncs.tex
popd

